Package: sonic-pi / 2.10.0~repack-2.1

Metadata

Package Version Patches format
sonic-pi 2.10.0~repack-2.1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
01 remove rpi volume.patch | (download)

app/gui/qt/mainwindow.cpp | 196 92 + 104 - 0 !
app/gui/qt/mainwindow.h | 16 11 + 5 - 0 !
2 files changed, 103 insertions(+), 109 deletions(-)

 show raspberry pi soundcard controls on rpi hardware, only
 Upstream develops mainly for Raspbian, but not for generic Linux.
 Qt's Q_OS_LINUX is used in the original source to activate the
 Raspberry Pi audio controls. This patch detects if the application is
 actually running on Raspberry Pi hardware and activates the controls
 accordingly. This patch was forwarded upstream with
 <URL: https://github.com/samaaron/sonic-pi/pull/842> but rejected,
 Sam wants to rethink the audio controls in the long term instead.
02 do no require unused ruby gems.patch | (download)

app/server/core.rb | 39 0 + 39 - 0 !
1 file changed, 39 deletions(-)

 remove rubame gem dependency
 This section in app/server/core.rb depends on the rubame gem, but the
 code is only used later in app/server/bin/ws.rb - which is an
 unmaintained part of the Sonic Pi code. The currently unmaintained
 HTML GUI of Sonic Pi uses ws.rb as its websocket server. It is not
 packaged in this .deb and through this patch, we can remove the rubame
 gem dependency entirely. 
03 use debian gems.patch | (download)

app/server/core.rb | 47 1 + 46 - 0 !
1 file changed, 1 insertion(+), 46 deletions(-)

 use debian gems instead of upstream's embedded code copies
 Upstream ships Sonic Pi for Win, OS X and Raspbian and distributes all
 gems needed by the ruby server within the app/server/vendor/ directory
 in the source tarball. Debian wants packagers not to use these embedded
 code copies, but to use Debian's packaged ruby gems instead. This
 patch removes the code that added the vendor/ directory to the ruby
 library path. Do note that many of the gems provided by upstream
 aren't actually used in Sonic Pi, see
 <URL: https://github.com/samaaron/sonic-pi/issues/928> for details.
04 rename ruby beautify legacy.patch | (download)

app/server/sonicpi/lib/sonicpi/runtime.rb | 4 2 + 2 - 0 !
app/server/vendor/ruby-beautify/lib/ruby-beautify.rb | 24 12 + 12 - 0 !
app/server/vendor/ruby-beautify/lib/ruby-beautify/block_end.rb | 2 1 + 1 - 0 !
app/server/vendor/ruby-beautify/lib/ruby-beautify/block_matcher.rb | 4 2 + 2 - 0 !
app/server/vendor/ruby-beautify/lib/ruby-beautify/block_start.rb | 6 3 + 3 - 0 !
app/server/vendor/ruby-beautify/lib/ruby-beautify/config/ruby.rb | 4 2 + 2 - 0 !
app/server/vendor/ruby-beautify/lib/ruby-beautify/language.rb | 2 1 + 1 - 0 !
app/server/vendor/ruby-beautify/lib/ruby-beautify/line.rb | 2 1 + 1 - 0 !
app/server/vendor/ruby-beautify/lib/ruby-beautify/version.rb | 2 1 + 1 - 0 !
9 files changed, 25 insertions(+), 25 deletions(-)

 use legacy version 0.92.2 of ruby-beautify gem
 Sonic Pi wants the version 0.92.2 of the ruby-beautify gem. However,
 that gem has seen a total rewrite since that version. The current
05 doc base index.patch | (download)

app/server/bin/qt-doc.rb | 12 11 + 1 - 0 !
1 file changed, 11 insertions(+), 1 deletion(-)

 create index file per debian doc-base requirements
 Debian wants packagers to use doc-base and doc-base requires an index
 file for HTML documents.
06 paths.patch | (download)

app/gui/qt/mainwindow.cpp | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 fix detection of application's directory scheme
 The application tries to detect if it is installed in /usr/bin -
 then it will use a FHS compliant directory scheme. The .startsWith()
 call is wrong, as .applicationDirPath() doesn't return a trailing
 slash. This patch was accepted upstream with
 <URL: https://github.com/samaaron/sonic-pi/pull/1161>.
07 examples path.patch | (download)

app/server/sonicpi/lib/sonicpi/util.rb | 4 3 + 1 - 0 !
1 file changed, 3 insertions(+), 1 deletion(-)

 add missing examples/ dir in debian package
 As desribed in this bug report
 <URL: https://github.com/samaaron/sonic-pi/issues/1229>,
 the Debian package for Sonic Pi 2.10.0 was missing the
 examples/ directory during installation. 
qsci_rename.patch | (download)

app/gui/qt/SonicPi.pro | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

---